import { WidgetSettingsEvent } from "../apis/api.interfaces";
import { IWidgetInstanceInternal } from "../orchestrator/IWidgetInstanceInternal";
import { WidgetApi } from "../orchestrator/WidgetApi";
import { IWidgetSettingsEventHandler, IWidgetSettingsInternal, WidgetSettingsEventInternal } from "./widgetInternalApi.interfaces";
export declare class WidgetSettingsApi extends WidgetApi implements IWidgetSettingsInternal {
    private _eventListeners;
    private _eventListenersInternal;
    constructor(widgetInstance: IWidgetInstanceInternal);
    isConfigurationSupported(): boolean;
    showSettings(): void;
    hideSettings(): void;
    addEventListener(listener: (eventName: WidgetSettingsEvent) => void): void;
    removeEventListener(listener: (eventName: WidgetSettingsEvent) => void): void;
    onShowSettingsStart(): void;
    onShowSettingsEnd(): void;
    onHideSettingsStart(): void;
    onHideSettingsEnd(): void;
    addEventListenerInternal(listener: ((eventName: WidgetSettingsEventInternal) => void) | IWidgetSettingsEventHandler): void;
    removeEventListenerInternal(listener: ((eventName: WidgetSettingsEventInternal) => void) | IWidgetSettingsEventHandler): void;
    private fireEvent;
    private fireEventInternal;
}
